Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 136073 - Search History on single file broken on Windows
Search History on single file broken on Windows
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
Sun Windows XP
: P3 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
61fixes2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-29 11:59 UTC by John Rice
Modified: 2008-07-10 15:02 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
main_81554_ef0baea3d148-search-hisotry-windows.patch (1.73 KB, text/plain)
2008-05-29 12:30 UTC, John Rice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Rice 2008-05-29 11:59:43 UTC
Search History when selecting a single file in Windows returns changesets but does not list the selected file in the
changeset.
Comment 1 John Rice 2008-05-29 12:17:11 UTC
Problem was due to files in context (with OS specific separators) being compared to files returned by Hg in a platform
neutral form (using path separator as / on all OS's)

changeset:   81863:6a1097b1190a
tag:         tip
user:        jrice@netbeans.org
date:        Thu May 29 12:07:38 2008 +0200
summary:     #136073: Search History on Windows broken for single file

Comment 2 John Rice 2008-05-29 12:30:07 UTC
Created attachment 62116 [details]
main_81554_ef0baea3d148-search-hisotry-windows.patch
Comment 3 Quality Engineering 2008-05-29 15:46:28 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #225 build
Changeset: http://hg.netbeans.org/main/rev/6a1097b1190a
User: jrice@netbeans.org
Log: #136073: Search History on Windows broken for single file
Comment 4 Peter Pis 2008-06-02 09:53:36 UTC
Verified.
Comment 5 rbalada 2008-06-03 16:19:25 UTC
I've backported this fix into release61_fixes repository. As part of this backport I had to backport also fixes for
following issues.

Issue 134775: Automated merge diff problem - need to diff common ancestor
http://hg.netbeans.org/main/rev/88c624a8b5d3 backported as http://hg.netbeans.org/release61_fixes/rev/095bdc9a925f

Issue 132258: File added Show History Diff incorrect, fixed to handle added, del and copied files correctly
http://hg.netbeans.org/main/rev/0803fbdc5168 backported as http://hg.netbeans.org/release61_fixes/rev/4df49a9e7e72

Issue 132743: Added and removed files appearing with modified listing in Show History
http://hg.netbeans.org/main/rev/680b607426ca backported as http://hg.netbeans.org/release61_fixes/rev/16f0d03fdbb1

Issue 133203: Search History will only list files from the selected context in the displayed changesets 
http://hg.netbeans.org/main/rev/2cb52ab5e8d5 backported as http://hg.netbeans.org/release61_fixes/rev/293d2307eb76


The changeset http://hg.netbeans.org/main/rev/6a1097b1190a for this issue 136073 has been backported into
release61_fixes repository as http://hg.netbeans.org/release61_fixes/rev/4397107c4654
Comment 6 Peter Pis 2008-06-19 10:34:56 UTC
Verified with patch2.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo